

clear all
tic
%Read data 
Data=readtable("CWE weight changes_capsules.xlsx","Sheet","Sheet1",'range','C3:R51');
%norm=readtable("Brouwershaven ICP weights.xlsx")
%norm(19:20,:)=[];



%% From spectroscopy to concentration


%con=(21.41*Abs_char).*(norm.Water'/1000)./(norm.Sample');%calibration
%con=21.77*Data.Abs.*Data.DilutionFactor_x_; %mg/l
%con_norm=con.*(Data.solvent_ml_/1000)./(Data.wt_mg_/1000);
con_norm=Data.mg_g
%save("con_UV.mat",'con')

MI=[reshape(con_norm(1:8),4,2)];
CA=[reshape(con_norm(9:16),4,2)];
CsCA=[reshape(con_norm(17:24),4,2)];
I_MI=[reshape(con_norm(25:32),4,2)];
I_CA=[reshape(con_norm(33:40),4,2)];
I_CsCA=[reshape(con_norm(41:48),4,2)];


MI_new(:,1)=mean(MI,2);
MI_new(:,2)=std(MI,0,2);

CA_new(:,1)=mean(CA,2);
CA_new(:,2)=std(CA,0,2);

CsCA_new(:,1)=mean(CsCA,2);
CsCA_new(:,2)=std(CsCA,0,2);

I_MI_new(:,1)=mean(I_MI,2);
I_MI_new(:,2)=std(I_MI,0,2);

I_CA_new(:,1)=mean(I_CA,2);
I_CA_new(:,2)=std(I_CA,0,2);

I_CsCA_new(:,1)=mean(I_CsCA,2);
I_CsCA_new(:,2)=std(I_CsCA,0,2);



%% Initial
f6=figure
%H=[40 20 10 2.5];
H=[2.5 10 20 37.5];
errorbar(I_MI_new(:,1),H,I_MI_new(:,2),'horizontal','o-','LineWidth',1.2','Color',[0 0 1],'MarkerSize',8)
hold on
errorbar(I_CA_new(:,1),H,I_CA_new(:,2),'horizontal','o-','LineWidth',1.2','Color',[0 1 0],'MarkerSize',8 )
errorbar(I_CsCA_new(:,1),H,I_CsCA_new(:,2),'horizontal','o-','LineWidth',1.2','Color',[1 0 0],'MarkerSize',8 )

xlabel("NaFeCN/sample mass [mg g^{-1}]");
ylabel("Height [mm]");
ylim([0 50])
grid off
yticks([0 5 15 25 50])
yticklabels({'Top','5','15','25','Bot'})
ax = gca;
ax.YGrid = 'on';
ax.YDir='reverse'
%set(gca,'xtick',[0 5 15 25 50])
xlim([0,100])
%title('')
set(gca,'FontSize',14)
%set(gca,'FontName','Calibri')
legend("Mortar-F","Mortar-CA-F","Mortar-Cs-CA-F","fontsize",16,'box','on','location','southeast')
%title('(a) Before cycling');
legend box off
box on
set(gca,'Units','normalized','OuterPosition',[0 0 1 1]);
exportgraphics(f6,'Inhibitor_distribution_Initial_R3.pdf','Resolution',300)
exportgraphics(f6,'Inhibitor_distribution_Initial_R3.tif','Resolution',300)


%% Final
f7=figure
%H=[40 20 10 2.5];
H=[2.5 10 20 37.5];
errorbar(MI_new(:,1),H,MI_new(:,2),'horizontal','^-','LineWidth',1.2','Color',[0 0 1],'MarkerSize',8)
hold on
errorbar(CA_new(:,1),H,CA_new(:,2),'horizontal','^-','LineWidth',1.2','Color',[0 1 0],'MarkerSize',8 )
errorbar(CsCA_new(:,1),H,CsCA_new(:,2),'horizontal','^-','LineWidth',1.2','Color',[1 0 0],'MarkerSize',8 )

xlabel("NaFeCN/sample mass [mg g^{-1}]");
ylabel("Height [mm]");
ylim([0 50])
grid off
yticks([0 5 15 25 50])
yticklabels({'Top','5','15','25','Bot'})
ax = gca;
ax.YGrid = 'on';
ax.YDir='reverse'
%set(gca,'xtick',[0 5 15 25 50])
%xlim([0,50])
%title('A1')
set(gca,'FontSize',14)
%set(gca,'FontName','Calibri')
legend("Mortar-F","Mortar-CA-F","Mortar-Cs-CA-F","fontsize",16,'box','on','location','southeast')
legend box off
box on
%title('(b) End of the test');
set(gca,'Units','normalized','OuterPosition',[0 0 1 1]);
exportgraphics(f7,'Inhibitor_distribution_final_R3.pdf','Resolution',300)
exportgraphics(f7,'Inhibitor_distribution_final_R3.tif','Resolution',300)



%% 
% f7=figure
% H=[2.5 10 20 40];
% %H=[1 2 3 4];
% errorbar(H,MI_new(:,1),MI_new(:,2),'^-','LineWidth',1.2','Color',[0 0 1]) 
% hold on
% errorbar(H,CA_new(:,1),CA_new(:,2),'^-','LineWidth',1.2','Color',[0 1 0] )
% errorbar(H,CsCA_new(:,1),CsCA_new(:,2),'^-','LineWidth',1.2','Color',[1 0 0] )
% %errorbar(H,C3(:,1),C3(:,2),'^-','LineWidth',1.2','Color',[0.5 0 0] )
% ylabel("Na_4Fe(CN)_6 [mg/g]");
% xlabel("Height [mm]");
% %ylim([0 25])
% grid on
% xticklabels({'0-5','5-15','15-25','25-55'})
% ax = gca;
% ax.YGrid = 'on';
% %set(gca,'ydir','reverse')
% set(gca,'xtick',[0 5 15 25 50])
% xlim([0,50])
% %title('A1')
% set(gca,'FontSize',18)
% %set(gca,'FontName','Calibri')
% legend("MI","CA","CsCA","fontsize",16,'box','off')
% box on
% %exportgraphics(f7,'Advection_inhibitor_dist.pdf','Resolution',300)

%%
%Efflorescence 
% C1_e=[0,0,0];
% C2_e=[0.273, 0.335, 0.574]*1000;
% C3_e=[0.566, 0.514, 0.616]*1000;
% 
% f7=figure
% E=[C1_e',C2_e',C3_e'];
% xticklabels={'Cycle 1*' 'Cycle 2' 'Cycle 3'};
% b=boxchart(E);
% ylabel("NaFeCN Efflorescence [mg]");
% %xlabel("Height [mm]");
% set(gca,'XTickLabel',xticklabels);
% set(gca,'FontSize',16)
% box on
% exportgraphics(f7,'Efflorescence_distribution.pdf','Resolution',300)